<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_bdf46cfa1aba0a" . "f38c9a9fa98dfd8" . "31b" => base64_decode("YXBwX3B1Ymx" . "pc2g="), "_9f55fef472b741cb222ce4503" . "e90012a" => base64_decode("cHViX3Bh" . "Z2U="), "_1be4a86" . "ec540588" . "94c0dc8e" . "eb44bf65" . "a" => base64_decode("Y29tbW9uLnR5cGUuc" . "HViX3BhZ2Vz"), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1zZw" . "=="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_9f55fef472b741cb222ce4503e90012" . "a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_1be4a86e" . "c54058894" . "c0dc8eeb4" . "4bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_bdf46cfa1" . "aba0af38c9" . "a9fa98dfd8" . "31b"];
    }
}